openshot::AudioLocation Struct Reference

This struct holds the associated video frame and starting sample # for an audio packet. More...

`#include <FFmpegReader.h>`

## Public Member Functions

bool | is_near (AudioLocation location, int samples_per_frame, int64_t amount)

## Public Attributes

int64_t | frame
int | sample_start

## Detailed Description

This struct holds the associated video frame and starting sample # for an audio packet.

Because audio packets do not match up with video frames, this helps determine exactly where the audio packet's samples belong.

Definition at line 61 of file FFmpegReader.h.

## Member Function Documentation

## is_near()

bool AudioLocation::is_near | ( | AudioLocation | location,
|  | int | samples_per_frame,
|  | int64_t | amount
| ) |  |

Definition at line 139 of file FFmpegReader.cpp.

## Member Data Documentation

## frame

int64_t openshot::AudioLocation::frame

Definition at line 62 of file FFmpegReader.h.

Referenced by is_near(), and openshot::FFmpegReader::Open().

## sample_start

int openshot::AudioLocation::sample_start

Definition at line 63 of file FFmpegReader.h.

Referenced by is_near(), and openshot::FFmpegReader::Open().

The documentation for this struct was generated from the following files:

- FFmpegReader.h
- FFmpegReader.cpp